Subject: Eigenvalue solver

From: [email-masked] (Adrian Roitberg)
Date: Fri, 13 Oct 1995 17:06:38 -0500 (CDT)

Dear CCLrs:
I am looking for a routine (fortran if possible) that will calculate SELECTED
eigenvalues and eigenvectors of a large, real, symmetric matrix.

I have been using dsyev (eispack) for tridiagonal matrices, and know about 
zheevx (linpack) for complex matrices.

I would hate to fake a real matrix as a complex with zeroes in the imaginary
part.

Could anyone point me to the right routine to do this ?

thanks a lot.

                            Adrian E. Roitberg
=============================================================================
      Dept. of Chemistry              |       Phone: (708) 491-3423 
   Northwestern University            |        Fax : (708) 491-7713
2145 Sheridan Road. Evanston, IL      |E-mail:[email-masked] 
          60208-3113                  |http://www.chem.nwu.edu/~adrian
=============================================================================